Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType

Direct Known Subclasses:
  `TdApi.AuthenticationCodeTypeCall`, `TdApi.AuthenticationCodeTypeFirebaseAndroid`, `TdApi.AuthenticationCodeTypeFirebaseIos`, `TdApi.AuthenticationCodeTypeFlashCall`, `TdApi.AuthenticationCodeTypeFragment`, `TdApi.AuthenticationCodeTypeMissedCall`, `TdApi.AuthenticationCodeTypeSms`, `TdApi.AuthenticationCodeTypeTelegramMessage`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.AuthenticationCodeType extends TdApi.Object permits TdApi.AuthenticationCodeTypeTelegramMessage, TdApi.AuthenticationCodeTypeSms, TdApi.AuthenticationCodeTypeCall, TdApi.AuthenticationCodeTypeFlashCall, TdApi.AuthenticationCodeTypeMissedCall, TdApi.AuthenticationCodeTypeFragment, TdApi.AuthenticationCodeTypeFirebaseAndroid, TdApi.AuthenticationCodeTypeFirebaseIos
This class is an abstract base class. Provides information about the method by which an authentication code is delivered to the user.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationCodeType

public AuthenticationCodeType()
Default class constructor.